Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# SubStream Class Reference

Combined ISubStream and OSubStream for bidirectional I/O. More...

Inheritance diagram for SubStream:

List of all members.

## Public Member Functions
| SubStream ()
| SubStream (StreamWrapper nested, unsigned long int start, unsigned long int end, bool append)
| SubStream (StreamWrapper nested, unsigned long int start, unsigned long int end)
SubStream | close ()
| Resets the SubStream to empty, but does not actually close the nested ostream.
SubStream | open (StreamWrapper nested, unsigned long int start, unsigned long int end)
| Starts the SubStream reading and writing from the indicated nested stream, within the indicated range.
SubStream | open (StreamWrapper nested, unsigned long int start, unsigned long int end, bool append)
| Starts the SubStream reading and writing from the indicated nested stream, within the indicated range.

## Detailed Description

Combined ISubStream and OSubStream for bidirectional I/O.

## Constructor & Destructor Documentation

SubStream | ( |  | ) |

SubStream | ( | StreamWrapper | nested,
|  | unsigned long int | start,
|  | unsigned long int | end,
|  | bool | append
| ) |  |

SubStream | ( | StreamWrapper | nested,
|  | unsigned long int | start,
|  | unsigned long int | end
| ) |  |

## Member Function Documentation

SubStream close | ( |  | ) |

Resets the SubStream to empty, but does not actually close the nested ostream.

SubStream open | ( | StreamWrapper | nested,
|  | unsigned long int | start,
|  | unsigned long int | end,
|  | bool | append
| ) |  |

Starts the SubStream reading and writing from the indicated nested stream, within the indicated range.

"end" is the first character outside of the range.

If end is zero, it indicates that the SubStream will continue until the end of the nested stream.

SubStream open | ( | StreamWrapper | nested,
|  | unsigned long int | start,
|  | unsigned long int | end
| ) |  |

Starts the SubStream reading and writing from the indicated nested stream, within the indicated range.

"end" is the first character outside of the range.

If end is zero, it indicates that the SubStream will continue until the end of the nested stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties